=== libgaminggearfx/CMakeLists.txt ===
ADD_LIBRARY(libgaminggearfx SHARED
  gaminggear_fx.c
)

TARGET_LINK_LIBRARIES(libgaminggearfx
  ${GMODULE2_LIBRARIES}
  ${GLIB2_LIBRARIES}
)

TARGET_LINK_LIBRARIES(libgaminggearfx LINK_INTERFACE_LIBRARIES)

SET_TARGET_PROPERTIES(libgaminggearfx
  PROPERTIES
    VERSION ${V_MAJOR}.${V_MINOR}.${V_MICRO}
    SOVERSION ${V_MAJOR}
    OUTPUT_NAME gaminggearfx
)

INSTALL(TARGETS libgaminggearfx DESTINATION ${INSTALL_LIBDIR})
INSTALL(DIRECTORY DESTINATION ${GFX_PLUGIN_DIR})
