=== debian/changelog ===
libgaminggear (0.15.1-11) unstable; urgency=medium

  * Rebuild sourceful to allow entering testing.

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 15 Apr 2020 17:06:33 +0200

libgaminggear (0.15.1-10) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Pierre-Elliott Bécue ]
  * Update my maintainer address
  * Bump Standards-Version to 4.5.0
  * Switch to debhelper-compat

  [ Laurent Bigonville ]
  * d/p/:
    - Create patch 0003 to add PANGO includes to the ones CMake searches for
      at build time.

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 15 Apr 2020 15:51:46 +0200

libgaminggear (0.15.1-9) unstable; urgency=medium

  * d/control:
    - Update Vcs-* links to salsa.
    - Bump Standards-Version to 4.1.4. No Change required.

 -- Pierre-Elliott Bécue <becue@crans.org>  Sun, 13 May 2018 18:23:40 +0200

libgaminggear (0.15.1-8) unstable; urgency=medium

  * Add d/p/0002 in order to provide more explicit error messages when
    gfx_initialize(void) fails because of missing/empty plugins directory.
    (Closes: #891840)

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 06 Mar 2018 14:03:37 +0100

libgaminggear (0.15.1-7) unstable; urgency=medium

  [ Adrian Bunk ]
  * d/not-installed:
    - Fix the cmake line as it's version-dependent (Closes: #891160)

  [ Pierre-Elliott Bécue ]
  * Add d/s/lintian-overrides to ignore the gpg signature check tag as
    upstream doesn't provide any gpg signature.

 -- Pierre-Elliott Bécue <becue@crans.org>  Fri, 23 Feb 2018 09:38:31 +0100

libgaminggear (0.15.1-6) unstable; urgency=medium

  * Fixes the screwup I did in -4 to close a bug, and do the actual expected
    thing instead. (Closes: #886464)

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 23 Jan 2018 13:24:57 +0100

libgaminggear (0.15.1-5) unstable; urgency=medium

  * d/control:
    - Add a missing Breaks+Replaces reference on -doc package regarding files
      previously in -dev package. (Closes: #887797)

 -- Pierre-Elliott Bécue <becue@crans.org>  Sat, 20 Jan 2018 18:20:45 +0100

libgaminggear (0.15.1-4) unstable; urgency=medium

  * Put the uinput.conf in the appropriate directory (Closes: #886464)
  * Move the documentation from libgaminggear-dev to libgaminggear-doc. This
    closes an issue with the multiarch hinter as the doc files are conflicting
    between the different architecture packages.
  * Bump Standards-Version to 4.1.3.

 -- Pierre-Elliott Bécue <becue@crans.org>  Mon, 08 Jan 2018 01:04:42 +0100

libgaminggear (0.15.1-3) unstable; urgency=medium

  * d/patches/0001: add a copyright statement for the created files.
  * d/control: change all Architecture: any to linux-any. (Closes: #885243)

 -- Pierre-Elliott Bécue <becue@crans.org>  Fri, 22 Dec 2017 19:04:18 +0100

libgaminggear (0.15.1-2) unstable; urgency=medium

  * Add a note in d/copyright regarding a potentially misleading Copyright
    entry into one of the source files.
  * Create d/patches/0001_ to provide a CMake config file for Gaminggear so
    that this lib is available via CMake for packages that build-depend on it.
  * debian/watch: fix watch link.

 -- Pierre-Elliott Bécue <becue@crans.org>  Fri, 22 Dec 2017 10:35:57 +0100

libgaminggear (0.15.1-1) unstable; urgency=medium

  * Initial release (Closes: #773402)

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 20 Dec 2017 17:56:30 +0100
