=== debian/control ===
Source: libgaminggear
Priority: optional
Maintainer: Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: cmake (>= 2.6.4),
               debhelper-compat (= 12),
               dh-exec,
               doxygen,
               libcanberra-dev,
               libglib2.0-dev,
               libgtk2.0-dev (>= 2.20),
               libnotify-dev,
               libsqlite3-dev (>= 3.7),
               pkg-config
Standards-Version: 4.5.0
Section: libs
Homepage: http://libgaminggear.sourceforge.net
Vcs-Browser: https://salsa.debian.org/debian/libgaminggear
Vcs-Git: https://salsa.debian.org/debian/libgaminggear.git

Package: libgaminggear-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libgaminggear0 (= ${binary:Version}),
         libglib2.0-dev,
         libgtk2.0-dev,
         ${misc:Depends}
Recommends: libgaminggear-doc
Description: Functionalities for gaming input devices (devel)
 Libgaminggear contains functionalities for tools interacting with gaming
 hardware. This package provides the headers files needed to develop using this
 library.

Package: libgaminggear-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Suggests: libgaminggear-dev
Breaks: libgaminggear-dev (<< 0.15.1-4)
Replaces: libgaminggear-dev (<< 0.15.1-4)
Depends: ${misc:Depends}
Description: Functionalities for gaming input devices (documentation)
 This package provides the doxy-generated documentation extracted from
 libgaminggear source code. It thus provides a bit of intel on how to develop
 software using this library.

Package: libgaminggear0
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libgaminggear-common, ${misc:Depends}, ${shlibs:Depends}
Description: Functionalities for gaming input devices
 Libgaminggear0 contains needed functionalities for roccat-tools that are not
 vendor specific and therefore might be useful for similar software. It
 contains some GUI elements for unifying look and feel of such type of
 software up to a complete macro editor with multi vendor import/export
 functionality. It also contains software macro playback functionality and
 audio/screen notifications.

Package: libgaminggear-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Functionalities for gaming input devices, common files
 This package contains the icons and other generic files that are not
 development files or libraries, useful for libgaminggear0 and
 gaminggear-utils.

Package: gaminggear-utils
Section: x11
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utilities from libgaminggear
 Includes the following binaries:
 * gaminggearfxinfo
 * gaminggearfxcontrol
 .
 This package contains the runtime binaries that allows one to get and control
 some of the visual effects that gaming devices might provide, such as LEDS.
