=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CMAKE_NORMAL_ARGS =

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_DOC=TRUE

override_dh_missing:
	dh_missing --fail-missing
